Bug 78692 - Football Manager 2014, gameplay rendered black & white
Summary: Football Manager 2014, gameplay rendered black & white
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 79039
  Show dependency treegraph
 
Reported: 2014-05-14 10:24 UTC by Tapani Pälli
Modified: 2014-06-02 07:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
FM screenshot, "high" 3D quality, demonstrating the bug (196.96 KB, image/png)
2014-05-14 11:32 UTC, Eero Tamminen
Details
FM screenshot, "medium" 3D quality, no bug (266.82 KB, image/png)
2014-05-14 11:32 UTC, Eero Tamminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2014-05-14 10:24:18 UTC
Football Manager 2014 gameplay rendering displays in black and white, missing colors (Mesa git master). This is a regression.

I've bisected the regression in the following commit:

--- 8< ---
commit f770123f58b46459e8dbd27525162ee8ba89f30b
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Apr 15 22:46:55 2014 -0700

    i965/fs: Reduce restrictions on interference in register coalescing.
    
    We previously only allowed coalescing registers that interfere (i.e.,
    whose live ranges overlap) if the destination register's live range was
    entirely inside the source's live range. This is unnecessary -- we only
    need to check for interfering writes in the intersection of their live
    ranges.
    
    total instructions in shared programs: 1639470 -> 1638453 (-0.06%)
    instructions in affected programs:     84751 -> 83734 (-1.20%)
    
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
Comment 1 Eero Tamminen 2014-05-14 11:11:11 UTC
Note: this issue happens only with game's "high" & "very high" 3D graphics quality levels, not at medium level.
Comment 2 Eero Tamminen 2014-05-14 11:32:03 UTC
Created attachment 99029 [details]
FM screenshot, "high" 3D quality, demonstrating the bug
Comment 3 Eero Tamminen 2014-05-14 11:32:46 UTC
Created attachment 99030 [details]
FM screenshot, "medium" 3D quality, no bug
Comment 4 Matt Turner 2014-05-26 20:08:20 UTC
Reverted with a39428cf5c973513c5189dec4af34ce1e1582d51 on master. Tagged to be picked back to 10.2.
Comment 5 Eero Tamminen 2014-05-27 12:30:51 UTC
Tested latest Mesa, don't see the problem anymore -> verified.
Comment 6 Petri Latvala 2014-06-02 07:53:30 UTC
Just for the record, this bug was also causing rendering issues in GpuTest's pixmark_piano test.

Also caused FPS to rise from 4-6 to 27-30. I hear Football Manager didn't have any change in performance.


bug/show.html.tmpl processed on Mar 30, 2017 at 08:54:40.
(provided by the Example extension).